Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 08 Nov 2012 16:58:50 +0100

Hi Fabrice, Eli,

"Fabrice Niessen" <[email-masked]> writes:

> For your information,
>
> - I use a version of Helm from 2 days ago
>
>   commit 336e7de7e21f6bf1f9163458e34e79407553b8c2
>   Author: Thierry Volpiatto <[email-masked]>
>   Date:   Tue Nov 6 20:24:24 2012 +0100
>
>       * helm-files.el: Fix ffap stuff.
>
>   That one is not important per se, the infloop occurred with earlier versions
>   as well. Just for the sake of completeness.
You should now narrow the problem by setting
`helm-for-files-preferred-list'.

Just remove locate source from this list and see what happen, you should
not have crashes.

Then if you have no more crash, try to use M-x helm-locate alone and see
if you experiment crashes.

If not add again the locate source to `helm-for-files-preferred-list'
and again see what happen.

I am pretty sure your crashes come from locate source, more precisely
the es.exe backend that is for some reasons bad supported by start-process.

> - I do use Thierry's test fix in my .emacs file, that is:
>
>   ;; TEMP test from Thierry Volpiatto (email from 2012-10-10 Wed 08:47)
>   (defun helm-kill-async-process (process)
>     "Stop output from `helm-output-filter' and kill associated PROCESS."
>     (set-process-filter process t)
>     (delete-process process))
You can remove this from your .emacs, it is already in the helm version
you use.

Also, when you have done all the tests above, you can try the last
dev version (after 1.4.7), which don't use anymore `post-command-hook'.

Thanks.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997